﻿@{
    ViewData["Title"] = "Firm Affiliations";
}
<div class="container">
    <div class="card">
        <div class="card-body">
            <button class="btn btn-primary btn-admin-add float-right mb-5 btn-add-firm"><i class="fas fa-plus"></i>New Affiliation</button>
            <div class="datatable datatable-bordered" id="adviser_firm_list"></div>
        </div>
    </div>
</div>
<div class="modal" id="AffiliationModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
@section scripts{
<script>
    var affiliationTable = function (e) {
        var ktDataTablOptions = ktDataTableDefaultConfigOptions;
        ktDataTablOptions.source = `admin/superadmin/fetchAffiliations?type=${e.data.id}`;
        window['sub_datatable_' + e.data.id] = $('<div/>').attr('id', `adviser_firm_list_${e.data.id}`).addClass("datatable-sticky").appendTo(e.detailCell).KTDatatable({
            data: ktDataTablOptions,
            columnFilter: true,
            columns: [
                { field: 'id', title: '#', width: 85,filter: { maxlength: 5, additionalClasses: "numericOnly-no-placeholder" }  },
                    { field: 'name', title: 'Affiliation Name', sortable: 'asc', width: 130, filter: { container: "AffliationName" } },
                {
                    field: 'complianceOfficerName', title: 'Compliance Officer', width: 330,filter: {container:"ComplianceName"},
                    template: function (row) {
                        var color = getRandomColor();
                        var hasCompliance = row.complianceOfficerName != null;
                        var initial = hasCompliance ? row.complianceOfficerName.split(" ").map((n) => n[0]).join("").substring(0, 2) : "";
                        return hasCompliance ? `<div class="d-flex align-items-center">
                                                    <div class="symbol symbol-40 flex-shrink-0">
                                                         <div class="symbol-label text-white" style="background:${color}">${initial}</div>
                                                    </div>
                                                    <div class="ml-2">
                                                        <div class="text-dark-75 font-weight-bold line-height-sm">${row.complianceOfficerName}</div>
                                                        <div class="text-primary">${row.email}</div>
                                                    </div>` : "<span>-</span>"
                    }
                },
                {
                    field: 'phone', title: 'Phone & Website', sortable: false, width: 200, sortable: false,
                    template: function (row) {
                        var url = row.websiteUrl.replace("http://", "").replace("https://", "").replace("www.", "");
                        var targetUrl = UrlToLink(row.websiteUrl);
                        var html = `<div class="mb-2">
                                                                                                <i class="fas fa-phone-alt text-primary"></i>
                                                                                                <a href="javascript:" class="text-dark text-hover-primary ml-1">${row.phone}</a>
                                                                                            </div>
                                                                                            <div>
                                                                                                <i class="fas fa-globe text-primary"></i>
                                                                                                <a href="${targetUrl}" class="text-dark text-hover-primary ml-1" target="_blank">${url}</a>
                                                                                            </div>`;
                        return html;
                    }
                },
                {
                    field: 'address', title: 'Address', width: 110, sortable: false,
                    template: function (row) {
                        var formatedaddress = `${row.address}<br>${row.address2 != null ? `${row.address2}<br>` : ""}${row.city}, ${row.state}<br>${row.zipCode}`;
                        var readMoreHtml = formatedaddress != null ? `...</br><a href='javascript:' data-toggle='popover' data-html="true" data-title='Address' data-content="${formatedaddress}" role="button">Read more</a>` : "";
                        return row.address != null ? `${row.address}${readMoreHtml}` : "<div style='text-align:center'>-</div>"
                    },
                },
                {
                    field: 'actions', title: 'Actions', width: 80, sortable: false,
                    template: function (row) {
                        return `<button class="btn btn-sm btn-icon ml-2 btn-edit-firm" data-toggle="tooltip" data-original-title="Edit" data-guid="${row.guid}">
                                              <img src="/images/edit-icon.png" height="25" />
                                        </button>
                                        <button class="btn btn-sm btn-icon btn-delete-firm" data-toggle="tooltip" data-original-title="Delete" data-guid="${row.guid}">
                                                <img src="/images/delete-icon.png" height="25" />
                                        </button>`;
                    },
                }
            ],
        })
    }
    $('#adviser_firm_list').KTDatatable({
        data: {
            type: 'remote',
            source: 'admin/superadmin/fetchaffiliationtypes',
            saveState: false,
        },
        columns: [
            { field: 'id', title: '', sortable: false, width: 0 },
            {
                field: 'firmType', title: 'Affiliation Type', sortable: false,
                template: function (row) {

                    return `<div class="font-size-lg">${row.typeString}</div>`
                }
            },
            {
                field: `total`, title: '', textAlign: 'right', sortable: false, width: 50,
                template: function (row) {
                    return `<span class="label label-lg label-info" data-id="${row.id}">${row.totalFirm}</span>`
                }
            },
        ],
        detail: { content: affiliationTable }
    })
    $(document).on("click", ".btn-add-firm,.btn-edit-firm", function () {
        var guid = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`adviser/profile/affiliation?guid=${guid}`, "AffiliationModal");
        setTimeout(function () { KTApp.unblockPage(); }, 1000);
        $("#AffiliationModal").modal({ backdrop: 'static' });
    });
    $(document).on("click", ".btn-delete-firm", function () {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions).then(function (result) {
            if (result.value) {
                var guid = $(cur).attr("data-guid");
                deleteRecord(`admin/superadmin/deleteaffiliation?guid=${guid}`, function (response) {
                    if (response.success) {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        setTimeout(function () { KTApp.unblockPage(); }, 1000);
                        if (window['sub_datatable_' + response.parentId] != undefined)
                            window['sub_datatable_' + response.parentId].reload();
                        $(`#adviser_firm_list [data-field='total'] .label-info[data-id='${response.parentId}]`).text(response.data.adviserCount);
                    }
                    else
                        Swal.fire("Cancelled", response.message, "error");
                });
            }
        });
    });
    $(document).on("change", "#Type", function () {
        var type = $(this).val();
        $("#sec-registered").addClass("d-none");
        $("#SECRegistered").prop("checked",false);
        $("#StateRegistered").prop("checked",false);
        if(type == AffiliationType.RegisteredInvestmentAdvisor)
            $("#sec-registered").removeClass("d-none");
    });
</script>
}